Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws.services.ec2.model
Enum VolumeState

    java.lang.Object
      java.lang.Enum<VolumeState>
          com.amazonaws.services.ec2.model.VolumeState

All Implemented Interfaces:
  Serializable, Comparable<VolumeState>

    public enum VolumeState

extends Enum<VolumeState>

Volume State

Enum Constant Summary
`Available`
`Creating`
`Deleting`
`Error`
`InUse`

Method Summary
`static VolumeState` | `fromValue(String value)` Use this in place of valueOf.
`String` | `toString()`
`static VolumeState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VolumeState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Creating

    public static final VolumeState Creating

### Available

    public static final VolumeState Available

### InUse

    public static final VolumeState InUse

### Deleting

    public static final VolumeState Deleting

### Error

    public static final VolumeState Error

Method Detail

### values

    public static VolumeState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VolumeState c : VolumeState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VolumeState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<VolumeState>`

### fromValue

    public static VolumeState fromValue(String value)

  Use this in place of valueOf.

  Parameters:
    `value` - real value
  Returns:
    VolumeState corresponding to the value

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.